function [param_,np,modname,neq,nlag,nlead,eqname_,eqtype_,endog_,delay_,vtype_] = ...
     compute_aim_data


  eqname = cell(51, 1);
  param = cell(45, 1);
  endog = cell(51, 1);
  delay = zeros(51, 1);
  vtype = zeros(51, 1);
  eqtype = zeros(51, 1);

  modname = 'SWModel.aim';
  neq = 51;
  np = 45;
  nlag = 1;
  nlead = 1;

  eqname(1) = cellstr('SPEQ1');
  eqname(2) = cellstr('SPEQ2');
  eqname(3) = cellstr('SPEQ3');
  eqname(4) = cellstr('SPEQ4');
  eqname(5) = cellstr('SPEQ5');
  eqname(6) = cellstr('SPEQ6');
  eqname(7) = cellstr('SPEQ7');
  eqname(8) = cellstr('SPEQ8');
  eqname(9) = cellstr('SPEQ9');
  eqname(10) = cellstr('SPEQ10');
  eqname(11) = cellstr('SPEQ11');
  eqname(12) = cellstr('SPEQ12');
  eqname(13) = cellstr('SPEQ13');
  eqname(14) = cellstr('SPEQ14');
  eqname(15) = cellstr('SPEQ15');
  eqname(16) = cellstr('FPEQ1');
  eqname(17) = cellstr('FPEQ2');
  eqname(18) = cellstr('FPEQ3');
  eqname(19) = cellstr('FPEQ4');
  eqname(20) = cellstr('FPEQ5');
  eqname(21) = cellstr('FPEQ6');
  eqname(22) = cellstr('FPEQ7');
  eqname(23) = cellstr('FPEQ8');
  eqname(24) = cellstr('FPEQ9');
  eqname(25) = cellstr('FPEQ11');
  eqname(26) = cellstr('FPEQ12');
  eqname(27) = cellstr('FPEQ15');
  eqname(28) = cellstr('DEFEQ1');
  eqname(29) = cellstr('DEFEQ2');
  eqname(30) = cellstr('DEFEQ3');
  eqname(31) = cellstr('DEFEQ4');
  eqname(32) = cellstr('DEFEQ5');
  eqname(33) = cellstr('DEFEQ6');
  eqname(34) = cellstr('DEFEQ7');
  eqname(35) = cellstr('SHOCKEQ1');
  eqname(36) = cellstr('SHOCKEQ2');
  eqname(37) = cellstr('SHOCKEQ3');
  eqname(38) = cellstr('SHOCKEQ4');
  eqname(39) = cellstr('SHOCKEQ5');
  eqname(40) = cellstr('EPSHOCKEQ5');
  eqname(41) = cellstr('SHOCKEQ6');
  eqname(42) = cellstr('EWSHOCKEQ6');
  eqname(43) = cellstr('SHOCKEQ7');
  eqname(44) = cellstr('ONEEQ');
  eqname(45) = cellstr('IIDEQ1');
  eqname(46) = cellstr('IIDEQ2');
  eqname(47) = cellstr('IIDEQ3');
  eqname(48) = cellstr('IIDEQ4');
  eqname(49) = cellstr('IIDEQ5');
  eqname(50) = cellstr('IIDEQ6');
  eqname(51) = cellstr('IIDEQ7');
  eqname_ = char(eqname);

  eqtype(1) = 1;     eqtype(2) = 1;     eqtype(3) = 1;   
  eqtype(4) = 1;     eqtype(5) = 1;     eqtype(6) = 1;   
  eqtype(7) = 1;     eqtype(8) = 1;     eqtype(9) = 1;   
  eqtype(10) = 1;     eqtype(11) = 1;     eqtype(12) = 1;   
  eqtype(13) = 1;     eqtype(14) = 1;     eqtype(15) = 1;   
  eqtype(16) = 1;     eqtype(17) = 1;     eqtype(18) = 1;   
  eqtype(19) = 1;     eqtype(20) = 1;     eqtype(21) = 1;   
  eqtype(22) = 1;     eqtype(23) = 1;     eqtype(24) = 1;   
  eqtype(25) = 1;     eqtype(26) = 1;     eqtype(27) = 1;   
  eqtype(28) = 1;     eqtype(29) = 1;     eqtype(30) = 1;   
  eqtype(31) = 1;     eqtype(32) = 1;     eqtype(33) = 1;   
  eqtype(34) = 1;     eqtype(35) = 1;     eqtype(36) = 1;   
  eqtype(37) = 1;     eqtype(38) = 1;     eqtype(39) = 1;   
  eqtype(40) = 1;     eqtype(41) = 1;     eqtype(42) = 1;   
  eqtype(43) = 1;     eqtype(44) = 1;     eqtype(45) = 1;   
  eqtype(46) = 1;     eqtype(47) = 1;     eqtype(48) = 1;   
  eqtype(49) = 1;     eqtype(50) = 1;     eqtype(51) = 1;   

  eqtype_ = eqtype;

  param(1) = cellstr('cy');
  param(2) = cellstr('iy');
  param(3) = cellstr('zy');
  param(4) = cellstr('lambda');
  param(5) = cellstr('gamma');
  param(6) = cellstr('sigmac');
  param(7) = cellstr('whlcstar');
  param(8) = cellstr('betabar');
  param(9) = cellstr('varphi');
  param(10) = cellstr('delta');
  param(11) = cellstr('rkstar');
  param(12) = cellstr('phip');
  param(13) = cellstr('alpha');
  param(14) = cellstr('psi');
  param(15) = cellstr('imathp');
  param(16) = cellstr('xip');
  param(17) = cellstr('epsilonp');
  param(18) = cellstr('sigmal');
  param(19) = cellstr('imathw');
  param(20) = cellstr('xiw');
  param(21) = cellstr('phiw');
  param(22) = cellstr('epsilonw');
  param(23) = cellstr('rho');
  param(24) = cellstr('rpi');
  param(25) = cellstr('ry');
  param(26) = cellstr('rdy');
  param(27) = cellstr('beta');
  param(28) = cellstr('xie');
  param(29) = cellstr('rhog');
  param(30) = cellstr('sigmag');
  param(31) = cellstr('rhoga');
  param(32) = cellstr('sigmaa');
  param(33) = cellstr('rhob');
  param(34) = cellstr('sigmab');
  param(35) = cellstr('rhoi');
  param(36) = cellstr('sigmai');
  param(37) = cellstr('rhoa');
  param(38) = cellstr('rhop');
  param(39) = cellstr('mup');
  param(40) = cellstr('sigmap');
  param(41) = cellstr('rhow');
  param(42) = cellstr('muw');
  param(43) = cellstr('sigmaw');
  param(44) = cellstr('rhor');
  param(45) = cellstr('sigmar');
  param_ = char(param);

  endog(1) = cellstr('y');
  endog(2) = cellstr('c');
  endog(3) = cellstr('i');
  endog(4) = cellstr('z');
  endog(5) = cellstr('l');
  endog(6) = cellstr('r');
  endog(7) = cellstr('piy');
  endog(8) = cellstr('q');
  endog(9) = cellstr('rk');
  endog(10) = cellstr('ks');
  endog(11) = cellstr('k');
  endog(12) = cellstr('mc');
  endog(13) = cellstr('w');
  endog(14) = cellstr('wmu');
  endog(15) = cellstr('e');
  endog(16) = cellstr('yf');
  endog(17) = cellstr('cf');
  endog(18) = cellstr('if');
  endog(19) = cellstr('zf');
  endog(20) = cellstr('lf');
  endog(21) = cellstr('rrf');
  endog(22) = cellstr('qf');
  endog(23) = cellstr('rkf');
  endog(24) = cellstr('ksf');
  endog(25) = cellstr('kf');
  endog(26) = cellstr('wf');
  endog(27) = cellstr('ef');
  endog(28) = cellstr('ygap');
  endog(29) = cellstr('dy');
  endog(30) = cellstr('dyf');
  endog(31) = cellstr('dc');
  endog(32) = cellstr('di');
  endog(33) = cellstr('dw');
  endog(34) = cellstr('de');
  endog(35) = cellstr('epsg');
  endog(36) = cellstr('epsb');
  endog(37) = cellstr('epsi');
  endog(38) = cellstr('epsa');
  endog(39) = cellstr('epsp');
  endog(40) = cellstr('ep');
  endog(41) = cellstr('epsw');
  endog(42) = cellstr('ew');
  endog(43) = cellstr('epsr');
  endog(44) = cellstr('one');
  endog(45) = cellstr('etag');
  endog(46) = cellstr('etab');
  endog(47) = cellstr('etai');
  endog(48) = cellstr('etaa');
  endog(49) = cellstr('etap');
  endog(50) = cellstr('etaw');
  endog(51) = cellstr('etar');
  endog_ = char(endog);

  delay(1) = 0;     delay(2) = 0;     delay(3) = 0;   
  delay(4) = 0;     delay(5) = 0;     delay(6) = 0;   
  delay(7) = 0;     delay(8) = 0;     delay(9) = 0;   
  delay(10) = 0;     delay(11) = 0;     delay(12) = 0;   
  delay(13) = 0;     delay(14) = 0;     delay(15) = 0;   
  delay(16) = 0;     delay(17) = 0;     delay(18) = 0;   
  delay(19) = 0;     delay(20) = 0;     delay(21) = 0;   
  delay(22) = 0;     delay(23) = 0;     delay(24) = 0;   
  delay(25) = 0;     delay(26) = 0;     delay(27) = 0;   
  delay(28) = 0;     delay(29) = 0;     delay(30) = 0;   
  delay(31) = 0;     delay(32) = 0;     delay(33) = 0;   
  delay(34) = 0;     delay(35) = 0;     delay(36) = 0;   
  delay(37) = 0;     delay(38) = 0;     delay(39) = 0;   
  delay(40) = 0;     delay(41) = 0;     delay(42) = 0;   
  delay(43) = 0;     delay(44) = 0;     delay(45) = 0;   
  delay(46) = 0;     delay(47) = 0;     delay(48) = 0;   
  delay(49) = 0;     delay(50) = 0;     delay(51) = 0;   

  delay_ = delay;

  vtype(1) = 1;     vtype(2) = 1;     vtype(3) = 1;   
  vtype(4) = 1;     vtype(5) = 1;     vtype(6) = 1;   
  vtype(7) = 1;     vtype(8) = 1;     vtype(9) = 1;   
  vtype(10) = 1;     vtype(11) = 1;     vtype(12) = 1;   
  vtype(13) = 1;     vtype(14) = 1;     vtype(15) = 1;   
  vtype(16) = 1;     vtype(17) = 1;     vtype(18) = 1;   
  vtype(19) = 1;     vtype(20) = 1;     vtype(21) = 1;   
  vtype(22) = 1;     vtype(23) = 1;     vtype(24) = 1;   
  vtype(25) = 1;     vtype(26) = 1;     vtype(27) = 1;   
  vtype(28) = 1;     vtype(29) = 1;     vtype(30) = 1;   
  vtype(31) = 1;     vtype(32) = 1;     vtype(33) = 1;   
  vtype(34) = 1;     vtype(35) = 1;     vtype(36) = 1;   
  vtype(37) = 1;     vtype(38) = 1;     vtype(39) = 1;   
  vtype(40) = 1;     vtype(41) = 1;     vtype(42) = 1;   
  vtype(43) = 1;     vtype(44) = 2;     vtype(45) = 1;   
  vtype(46) = 1;     vtype(47) = 1;     vtype(48) = 1;   
  vtype(49) = 1;     vtype(50) = 1;     vtype(51) = 1;   

  vtype_ = vtype;



%
% end of compute_aim_data.m
%
