function [g,h] = compute_aim_matrices(ModelParameters)

% [g,h] = compute_aim_matrices(ModelParameters) 
%     This function computes the g and h matrices from the parameter values in the fields of "ModelParameters".. 
%
% This file was created by YADA on: 27-Jul-2016 15:05:30 
%

g = zeros(61, 122); 
h = zeros(61, 183); 
g(3722) = g(3722) + 1; 
g(3783) = g(3783) - (ModelParameters.cy*1); 
g(3844) = g(3844) - (ModelParameters.iy*1); 
g(3905) = g(3905) - (ModelParameters.zy*1); 
g(6284) = g(6284) - 1; 
g(3967) = g(3967) + 1; 
g(4028) = g(4028) - 1; 
g(6346) = g(6346) - (-1.0*(((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(6346) = g(6346) - (-1.0*(((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
h(7688) = h(7688) - 1; 
h(7810) = h(7810) - (-1.0*1); 
g(3968) = g(3968) + 1; 
g(3785) = g(3785) - ((-1.0*(ModelParameters.sigmac*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0)))*1); 
g(64) = g(64) - (((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(4151) = g(4151) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(4151) = g(4151) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(3847) = g(3847) + 1; 
g(126) = g(126) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(4213) = g(4213) - ((1.0*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*(ModelParameters.gamma^2.0))*ModelParameters.varphi)^-1.0))*1); 
g(6409) = g(6409) - 1; 
h(7568) = h(7568) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(4214) = g(4214) + 1; 
g(4031) = g(4031) - (-1.0*1); 
g(6349) = g(6349) - (((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(6349) = g(6349) - (((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
h(7935) = h(7935) - ((1.0*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(7935) = h(7935) - (((-1.0*ModelParameters.delta)*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(7996) = h(7996) - ((ModelParameters.rkstar*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(7813) = h(7813) - 1; 
g(3727) = g(3727) + 1; 
g(4337) = g(4337) - ((ModelParameters.phip*ModelParameters.alpha)*1); 
g(4154) = g(4154) - ((ModelParameters.phip*1.0)*1); 
g(4154) = g(4154) - ((ModelParameters.phip*(-1.0*ModelParameters.alpha))*1); 
g(6472) = g(6472) - (ModelParameters.phip*1); 
g(4338) = g(4338) + 1; 
g(678) = g(678) - 1; 
g(3911) = g(3911) - 1; 
g(3912) = g(3912) + 1; 
g(4278) = g(4278) - ((1.0*(ModelParameters.psi^-1.0))*1); 
g(4278) = g(4278) - (((-1.0*ModelParameters.psi)*(ModelParameters.psi^-1.0))*1); 
g(4401) = g(4401) + 1; 
g(680) = g(680) - ((1.0*(ModelParameters.gamma^-1.0))*1); 
g(680) = g(680) - (((-1.0*ModelParameters.delta)*(ModelParameters.gamma^-1.0))*1); 
g(3852) = g(3852) - ((ModelParameters.gamma*(ModelParameters.gamma^-1.0))*1); 
g(3852) = g(3852) - ((ModelParameters.delta*(ModelParameters.gamma^-1.0))*1); 
g(3852) = g(3852) - (((-1.0*1.0)*(ModelParameters.gamma^-1.0))*1); 
g(6414) = g(6414) - ((((ModelParameters.gamma*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6414) = g(6414) - ((((ModelParameters.delta*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6414) = g(6414) - ((((ModelParameters.gamma*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6414) = g(6414) - ((((ModelParameters.delta*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6414) = g(6414) - (((((-1.0*1.0)*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6414) = g(6414) - (((((-1.0*1.0)*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4463) = g(4463) + 1; 
g(4280) = g(4280) - (ModelParameters.alpha*1); 
g(4524) = g(4524) - (1.0*1); 
g(4524) = g(4524) - ((-1.0*ModelParameters.alpha)*1); 
g(6476) = g(6476) - (-1.0*1); 
g(4098) = g(4098) + 1; 
g(377) = g(377) - ((ModelParameters.imathp*((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))^-1.0))*1); 
g(4464) = g(4464) - (((1.0*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(4464) = g(4464) - (((1.0*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(6538) = g(6538) - (((1.0*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*(100.0*1)); 
g(6538) = g(6538) - (((1.0*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*(100.0*1)); 
g(4464) = g(4464) - ((((-1.0*ModelParameters.xip)*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(4464) = g(4464) - ((((-1.0*ModelParameters.xip)*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(6538) = g(6538) - ((((-1.0*ModelParameters.xip)*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*(100.0*1)); 
g(6538) = g(6538) - ((((-1.0*ModelParameters.xip)*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*(100.0*1)); 
h(7819) = h(7819) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))^-1.0))*1); 
g(4282) = g(4282) + 1; 
g(4526) = g(4526) - 1; 
g(4160) = g(4160) - 1; 
g(4343) = g(4343) - (-1.0*1); 
g(4527) = g(4527) + 1; 
g(806) = g(806) + (-1.0*1); 
g(4100) = g(4100) + 1; 
g(4527) = g(4527) - ((ModelParameters.betabar*ModelParameters.gamma)*(-1.0*1)); 
g(4100) = g(4100) - (-1.0*(((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathw)*1)); 
g(379) = g(379) - (ModelParameters.imathw*1); 
g(4588) = g(4588) - (-1.0*(((1.0*1.0)*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(ModelParameters.sigmal*1))); 
g(4588) = g(4588) - (-1.0*(((1.0*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw)))*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(ModelParameters.sigmal*1))); 
g(6662) = g(6662) - (-1.0*(((1.0*1.0)*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(-1.0*(100.0*1)))); 
g(6662) = g(6662) - (-1.0*(((1.0*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw)))*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(-1.0*(100.0*1)))); 
g(4588) = g(4588) - (-1.0*((((-1.0*ModelParameters.xiw)*1.0)*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(ModelParameters.sigmal*1))); 
g(4588) = g(4588) - (-1.0*((((-1.0*ModelParameters.xiw)*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw)))*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(ModelParameters.sigmal*1))); 
g(6662) = g(6662) - (-1.0*((((-1.0*ModelParameters.xiw)*1.0)*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(-1.0*(100.0*1)))); 
g(6662) = g(6662) - (-1.0*((((-1.0*ModelParameters.xiw)*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw)))*((ModelParameters.xiw*(((ModelParameters.phiw*ModelParameters.sigmal)*((ModelParameters.phiw+(-1.0*1.0))^-1.0))+1.0))^-1.0))*(-1.0*(100.0*1)))); 
h(8248) = h(8248) - ((ModelParameters.betabar*ModelParameters.gamma)*1); 
h(7821) = h(7821) - ((ModelParameters.betabar*ModelParameters.gamma)*1); 
g(4040) = g(4040) + 1; 
g(319) = g(319) - (ModelParameters.rho*1); 
g(4101) = g(4101) - ((1.0*ModelParameters.rpi)*1); 
g(4101) = g(4101) - (((-1.0*ModelParameters.rho)*ModelParameters.rpi)*1); 
g(5870) = g(5870) - ((1.0*ModelParameters.ry)*1); 
g(5870) = g(5870) - (((-1.0*ModelParameters.rho)*ModelParameters.ry)*1); 
g(5931) = g(5931) - (ModelParameters.rdy*1); 
g(5992) = g(5992) - (ModelParameters.rdy*(-1.0*1)); 
g(6785) = g(6785) - 1; 
g(4651) = g(4651) + 1; 
g(930) = g(930) - (1.0*1); 
g(930) = g(930) - ((-1.0*ModelParameters.upsilon)*1); 
g(3797) = g(3797) - ((ModelParameters.upsilon*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(76) = g(76) - ((ModelParameters.upsilon*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*1))); 
g(4530) = g(4530) + 1; 
g(4713) = g(4713) - (ModelParameters.sigmal*1); 
g(4774) = g(4774) - 1; 
g(3981) = g(3981) - (-1.0*1); 
g(6848) = g(6848) - 1; 
g(4775) = g(4775) + 1; 
g(4653) = g(4653) - 1; 
g(3799) = g(3799) - (-1.0*((1.0*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(78) = g(78) - (-1.0*((1.0*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*1)))); 
g(4593) = g(4593) + 1; 
g(4715) = g(4715) - 1; 
g(4898) = g(4898) - (-1.0*1); 
g(4838) = g(4838) + 1; 
g(6668) = g(6668) - ((100.0*(ModelParameters.sigmal^-1.0))*1); 
g(4900) = g(4900) + 1; 
g(4900) = g(4900) - (-1.0*1); 
g(1179) = g(1179) - 1; 
g(4168) = g(4168) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*1); 
g(4168) = g(4168) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(4900) = g(4900) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4900) = g(4900) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4168) = g(4168) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*1); 
g(4168) = g(4168) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(4900) = g(4900) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4900) = g(4900) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
h(8621) = h(8621) - 1; 
g(4962) = g(4962) + 1; 
g(5023) = g(5023) - (ModelParameters.cy*1); 
g(5084) = g(5084) - (ModelParameters.iy*1); 
g(5145) = g(5145) - (ModelParameters.zy*1); 
g(6304) = g(6304) - 1; 
g(5207) = g(5207) + 1; 
g(5268) = g(5268) - 1; 
g(6366) = g(6366) - (-1.0*(((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(6366) = g(6366) - (-1.0*(((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
h(8928) = h(8928) - 1; 
g(5208) = g(5208) + 1; 
g(5025) = g(5025) - ((-1.0*(ModelParameters.sigmac*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0)))*1); 
g(1304) = g(1304) - (((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(5330) = g(5330) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(5330) = g(5330) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(5087) = g(5087) + 1; 
g(1366) = g(1366) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(5392) = g(5392) - ((1.0*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*(ModelParameters.gamma^2.0))*ModelParameters.varphi)^-1.0))*1); 
g(6429) = g(6429) - 1; 
h(8808) = h(8808) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(5393) = g(5393) + 1; 
g(5271) = g(5271) - (-1.0*1); 
g(6369) = g(6369) - (((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(6369) = g(6369) - (((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
h(9114) = h(9114) - ((1.0*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(9114) = h(9114) - (((-1.0*ModelParameters.delta)*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(9175) = h(9175) - ((ModelParameters.rkstar*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
g(4967) = g(4967) + 1; 
g(5516) = g(5516) - ((ModelParameters.phip*ModelParameters.alpha)*1); 
g(5333) = g(5333) - ((ModelParameters.phip*1.0)*1); 
g(5333) = g(5333) - ((ModelParameters.phip*(-1.0*ModelParameters.alpha))*1); 
g(6492) = g(6492) - (ModelParameters.phip*1); 
g(5517) = g(5517) + 1; 
g(1857) = g(1857) - 1; 
g(5151) = g(5151) - 1; 
g(5152) = g(5152) + 1; 
g(5457) = g(5457) - ((1.0*(ModelParameters.psi^-1.0))*1); 
g(5457) = g(5457) - (((-1.0*ModelParameters.psi)*(ModelParameters.psi^-1.0))*1); 
g(5580) = g(5580) + 1; 
g(1859) = g(1859) - ((1.0*(ModelParameters.gamma^-1.0))*1); 
g(1859) = g(1859) - (((-1.0*ModelParameters.delta)*(ModelParameters.gamma^-1.0))*1); 
g(5092) = g(5092) - ((ModelParameters.gamma*(ModelParameters.gamma^-1.0))*1); 
g(5092) = g(5092) - ((ModelParameters.delta*(ModelParameters.gamma^-1.0))*1); 
g(5092) = g(5092) - (((-1.0*1.0)*(ModelParameters.gamma^-1.0))*1); 
g(6434) = g(6434) - ((((ModelParameters.gamma*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6434) = g(6434) - ((((ModelParameters.delta*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6434) = g(6434) - ((((ModelParameters.gamma*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6434) = g(6434) - ((((ModelParameters.delta*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6434) = g(6434) - (((((-1.0*1.0)*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6434) = g(6434) - (((((-1.0*1.0)*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(6496) = g(6496) + 1; 
g(5459) = g(5459) - (ModelParameters.alpha*1); 
g(5642) = g(5642) - (1.0*1); 
g(5642) = g(5642) - ((-1.0*ModelParameters.alpha)*1); 
g(5460) = g(5460) + 1; 
g(5643) = g(5643) - 1; 
g(5338) = g(5338) - 1; 
g(5521) = g(5521) - (-1.0*1); 
g(5705) = g(5705) + 1; 
g(1984) = g(1984) - (1.0*1); 
g(1984) = g(1984) - ((-1.0*ModelParameters.upsilon)*1); 
g(5034) = g(5034) - ((ModelParameters.upsilon*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(1313) = g(1313) - ((ModelParameters.upsilon*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*1))); 
g(5645) = g(5645) + 1; 
g(5340) = g(5340) - (ModelParameters.sigmal*1); 
g(5767) = g(5767) - 1; 
g(5218) = g(5218) - (-1.0*1); 
g(6865) = g(6865) - 1; 
g(5768) = g(5768) + 1; 
g(5707) = g(5707) - 1; 
g(5036) = g(5036) - (-1.0*((1.0*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(1315) = g(1315) - (-1.0*((1.0*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*1)))); 
g(5830) = g(5830) + 1; 
g(5830) = g(5830) - (-1.0*1); 
g(2109) = g(2109) - 1; 
g(5342) = g(5342) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*1); 
g(5342) = g(5342) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(5830) = g(5830) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(5830) = g(5830) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(5342) = g(5342) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*1); 
g(5342) = g(5342) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(5830) = g(5830) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(5830) = g(5830) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
h(9551) = h(9551) - 1; 
g(5892) = g(5892) + 1; 
g(3757) = g(3757) - 1; 
g(4977) = g(4977) - (-1.0*1); 
g(5954) = g(5954) + 1; 
g(3758) = g(3758) - 1; 
g(37) = g(37) - (-1.0*1); 
g(6016) = g(6016) + 1; 
g(4979) = g(4979) - 1; 
g(1258) = g(1258) - (-1.0*1); 
g(6078) = g(6078) + 1; 
g(3821) = g(3821) - 1; 
g(100) = g(100) - (-1.0*1); 
g(6140) = g(6140) + 1; 
g(3883) = g(3883) - 1; 
g(162) = g(162) - (-1.0*1); 
g(6202) = g(6202) + 1; 
g(4555) = g(4555) - 1; 
g(834) = g(834) - (-1.0*1); 
g(6264) = g(6264) + 1; 
g(4922) = g(4922) - 1; 
g(1201) = g(1201) - (-1.0*1); 
g(6326) = g(6326) + 1; 
g(2605) = g(2605) - (ModelParameters.rhog*1); 
g(6997) = g(6997) - (ModelParameters.sigmag*1); 
g(7180) = g(7180) - ((ModelParameters.rhoga*ModelParameters.sigmaa)*1); 
g(6388) = g(6388) + 1; 
g(2667) = g(2667) - (ModelParameters.rhob*1); 
g(7059) = g(7059) - (ModelParameters.sigmab*1); 
g(6450) = g(6450) + 1; 
g(2729) = g(2729) - (ModelParameters.rhoi*1); 
g(7121) = g(7121) - (ModelParameters.sigmai*1); 
g(6512) = g(6512) + 1; 
g(2791) = g(2791) - (ModelParameters.rhoa*1); 
g(7183) = g(7183) - (ModelParameters.sigmaa*1); 
g(6574) = g(6574) + 1; 
g(2853) = g(2853) - (ModelParameters.rhop*1); 
g(6635) = g(6635) - 1; 
g(2914) = g(2914) - (-1.0*(ModelParameters.mup*1)); 
g(6636) = g(6636) + 1; 
g(7246) = g(7246) - (ModelParameters.sigmap*1); 
g(6698) = g(6698) + 1; 
g(2977) = g(2977) - (ModelParameters.rhow*1); 
g(6759) = g(6759) - 1; 
g(3038) = g(3038) - (-1.0*(ModelParameters.muw*1)); 
g(6760) = g(6760) + 1; 
g(7309) = g(7309) - (ModelParameters.sigmaw*1); 
g(6822) = g(6822) + 1; 
g(3101) = g(3101) - (ModelParameters.rhor*1); 
g(7371) = g(7371) - (ModelParameters.sigmar*1); 
g(6884) = g(6884) + 1; 
g(3163) = g(3163) - (ModelParameters.rhos*1); 
g(7433) = g(7433) - (ModelParameters.sigmas*1); 
g(6946) = g(6946) + 1; 
g(3225) = g(3225) - (0.0*1); 
g(7008) = g(7008) + 1; 
g(6947) = g(6947) - (0.0*1); 
g(7070) = g(7070) + 1; 
g(6948) = g(6948) - (0.0*1); 
g(7132) = g(7132) + 1; 
g(6949) = g(6949) - (0.0*1); 
g(7194) = g(7194) + 1; 
g(6950) = g(6950) - (0.0*1); 
g(7256) = g(7256) + 1; 
g(6951) = g(6951) - (0.0*1); 
g(7318) = g(7318) + 1; 
g(6952) = g(6952) - (0.0*1); 
g(7380) = g(7380) + 1; 
g(6953) = g(6953) - (0.0*1); 
g(7442) = g(7442) + 1; 
g(6954) = g(6954) - (0.0*1); 

%
% end of compute_aim_matrices.m
%
