function [g,h] = compute_aim_matrices(ModelParameters)

% [g,h] = compute_aim_matrices(ModelParameters) 
%     This function computes the g and h matrices from the parameter values in the fields of "ModelParameters".. 
%
% This file was created by YADA on: 18-May-2015 17:22:40 
%

g = zeros(51, 102); 
h = zeros(51, 153); 
g(2602) = g(2602) + 1; 
g(2653) = g(2653) - (ModelParameters.cy*1); 
g(2704) = g(2704) - (ModelParameters.iy*1); 
g(2755) = g(2755) - (ModelParameters.zy*1); 
g(4336) = g(4336) - 1; 
g(2654) = g(2654) + 1; 
g(53) = g(53) - (((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
g(2807) = g(2807) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(2807) = g(2807) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(2858) = g(2858) - (-1.0*((1.0*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(2858) = g(2858) - (-1.0*(((-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(4388) = g(4388) - 1; 
h(5255) = h(5255) - ((1.0*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
h(5408) = h(5408) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
h(5408) = h(5408) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
h(5510) = h(5510) - (-1.0*((1.0*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1))); 
h(5510) = h(5510) - (-1.0*(((-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1))); 
g(2706) = g(2706) + 1; 
g(105) = g(105) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(2961) = g(2961) - ((1.0*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*(ModelParameters.gamma^2.0))*ModelParameters.varphi)^-1.0))*1); 
g(4440) = g(4440) - 1; 
h(5307) = h(5307) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(2962) = g(2962) + 1; 
g(2860) = g(2860) - (-1.0*1); 
g(4390) = g(4390) - (((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(4390) = g(4390) - (((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
h(5563) = h(5563) - ((1.0*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(5563) = h(5563) - (((-1.0*ModelParameters.delta)*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(5614) = h(5614) - ((ModelParameters.rkstar*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(5512) = h(5512) - 1; 
g(2606) = g(2606) + 1; 
g(3065) = g(3065) - ((ModelParameters.phip*ModelParameters.alpha)*1); 
g(2810) = g(2810) - ((ModelParameters.phip*1.0)*1); 
g(2810) = g(2810) - ((ModelParameters.phip*(-1.0*ModelParameters.alpha))*1); 
g(4493) = g(4493) - (ModelParameters.phip*1); 
g(3066) = g(3066) + 1; 
g(516) = g(516) - 1; 
g(2760) = g(2760) - 1; 
g(2761) = g(2761) + 1; 
g(3016) = g(3016) - ((1.0*(ModelParameters.psi^-1.0))*1); 
g(3016) = g(3016) - (((-1.0*ModelParameters.psi)*(ModelParameters.psi^-1.0))*1); 
g(3119) = g(3119) + 1; 
g(518) = g(518) - ((1.0*(ModelParameters.gamma^-1.0))*1); 
g(518) = g(518) - (((-1.0*ModelParameters.delta)*(ModelParameters.gamma^-1.0))*1); 
g(2711) = g(2711) - ((ModelParameters.gamma*(ModelParameters.gamma^-1.0))*1); 
g(2711) = g(2711) - ((ModelParameters.delta*(ModelParameters.gamma^-1.0))*1); 
g(2711) = g(2711) - (((-1.0*1.0)*(ModelParameters.gamma^-1.0))*1); 
g(4445) = g(4445) - ((((ModelParameters.gamma*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4445) = g(4445) - ((((ModelParameters.delta*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4445) = g(4445) - ((((ModelParameters.gamma*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4445) = g(4445) - ((((ModelParameters.delta*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4445) = g(4445) - (((((-1.0*1.0)*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4445) = g(4445) - (((((-1.0*1.0)*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(3171) = g(3171) + 1; 
g(3018) = g(3018) - (ModelParameters.alpha*1); 
g(3222) = g(3222) - (1.0*1); 
g(3222) = g(3222) - ((-1.0*ModelParameters.alpha)*1); 
g(4497) = g(4497) - (-1.0*1); 
g(2917) = g(2917) + 1; 
g(316) = g(316) - ((ModelParameters.imathp*((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))^-1.0))*1); 
g(3172) = g(3172) - (((1.0*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(3172) = g(3172) - (((1.0*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(3172) = g(3172) - ((((-1.0*ModelParameters.xip)*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(3172) = g(3172) - ((((-1.0*ModelParameters.xip)*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(4549) = g(4549) - 1; 
h(5518) = h(5518) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))^-1.0))*1); 
g(3020) = g(3020) + 1; 
g(3224) = g(3224) - 1; 
g(2816) = g(2816) - 1; 
g(3071) = g(3071) - (-1.0*1); 
g(3276) = g(3276) + 1; 
g(3225) = g(3225) - 1; 
g(2817) = g(2817) - (-1.0*(ModelParameters.sigmal*1)); 
g(2664) = g(2664) - (-1.0*((ModelParameters.gamma*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1)); 
g(63) = g(63) - ((ModelParameters.lambda*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1); 
g(3226) = g(3226) + 1; 
g(625) = g(625) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(2920) = g(2920) - (-1.0*((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1)); 
g(2920) = g(2920) - (-1.0*((((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathw)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1)); 
g(319) = g(319) - ((ModelParameters.imathw*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3277) = g(3277) - (-1.0*(((1.0*1.0)*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(3277) = g(3277) - (-1.0*(((1.0*(-1.0*ModelParameters.xiw))*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(3277) = g(3277) - (-1.0*((((-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw))*1.0)*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(3277) = g(3277) - (-1.0*((((-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw))*(-1.0*ModelParameters.xiw))*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(4654) = g(4654) - 1; 
h(5827) = h(5827) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
h(5521) = h(5521) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(2870) = g(2870) + 1; 
g(269) = g(269) - (ModelParameters.rho*1); 
g(2921) = g(2921) - ((1.0*ModelParameters.rpi)*1); 
g(2921) = g(2921) - (((-1.0*ModelParameters.rho)*ModelParameters.rpi)*1); 
g(3992) = g(3992) - ((1.0*ModelParameters.ry)*1); 
g(3992) = g(3992) - (((-1.0*ModelParameters.rho)*ModelParameters.ry)*1); 
g(4043) = g(4043) - (ModelParameters.rdy*1); 
g(4094) = g(4094) - (ModelParameters.rdy*(-1.0*1)); 
g(4757) = g(4757) - 1; 
g(3330) = g(3330) + 1; 
g(3330) = g(3330) - (-1.0*1); 
g(729) = g(729) - 1; 
g(2820) = g(2820) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*1); 
g(2820) = g(2820) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(3330) = g(3330) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(3330) = g(3330) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(2820) = g(2820) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*1); 
g(2820) = g(2820) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(3330) = g(3330) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(3330) = g(3330) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
h(5931) = h(5931) - 1; 
g(3382) = g(3382) + 1; 
g(3433) = g(3433) - (ModelParameters.cy*1); 
g(3484) = g(3484) - (ModelParameters.iy*1); 
g(3535) = g(3535) - (ModelParameters.zy*1); 
g(4351) = g(4351) - 1; 
g(3434) = g(3434) + 1; 
g(833) = g(833) - (((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
g(3587) = g(3587) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(3587) = g(3587) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(3638) = g(3638) - (-1.0*((1.0*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(3638) = g(3638) - (-1.0*(((-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(4403) = g(4403) - 1; 
h(6035) = h(6035) - ((1.0*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
h(6188) = h(6188) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
h(6188) = h(6188) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
g(3486) = g(3486) + 1; 
g(885) = g(885) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3690) = g(3690) - ((1.0*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*(ModelParameters.gamma^2.0))*ModelParameters.varphi)^-1.0))*1); 
g(4455) = g(4455) - 1; 
h(6087) = h(6087) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3691) = g(3691) + 1; 
g(3640) = g(3640) - (-1.0*1); 
g(4405) = g(4405) - (((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(4405) = g(4405) - (((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
h(6292) = h(6292) - ((1.0*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(6292) = h(6292) - (((-1.0*ModelParameters.delta)*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(6343) = h(6343) - ((ModelParameters.rkstar*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
g(3386) = g(3386) + 1; 
g(3794) = g(3794) - ((ModelParameters.phip*ModelParameters.alpha)*1); 
g(3590) = g(3590) - ((ModelParameters.phip*1.0)*1); 
g(3590) = g(3590) - ((ModelParameters.phip*(-1.0*ModelParameters.alpha))*1); 
g(4508) = g(4508) - (ModelParameters.phip*1); 
g(3795) = g(3795) + 1; 
g(1245) = g(1245) - 1; 
g(3540) = g(3540) - 1; 
g(3541) = g(3541) + 1; 
g(3745) = g(3745) - ((1.0*(ModelParameters.psi^-1.0))*1); 
g(3745) = g(3745) - (((-1.0*ModelParameters.psi)*(ModelParameters.psi^-1.0))*1); 
g(3848) = g(3848) + 1; 
g(1247) = g(1247) - ((1.0*(ModelParameters.gamma^-1.0))*1); 
g(1247) = g(1247) - (((-1.0*ModelParameters.delta)*(ModelParameters.gamma^-1.0))*1); 
g(3491) = g(3491) - ((ModelParameters.gamma*(ModelParameters.gamma^-1.0))*1); 
g(3491) = g(3491) - ((ModelParameters.delta*(ModelParameters.gamma^-1.0))*1); 
g(3491) = g(3491) - (((-1.0*1.0)*(ModelParameters.gamma^-1.0))*1); 
g(4460) = g(4460) - ((((ModelParameters.gamma*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4460) = g(4460) - ((((ModelParameters.delta*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4460) = g(4460) - ((((ModelParameters.gamma*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4460) = g(4460) - ((((ModelParameters.delta*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4460) = g(4460) - (((((-1.0*1.0)*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4460) = g(4460) - (((((-1.0*1.0)*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(4512) = g(4512) + 1; 
g(3747) = g(3747) - (ModelParameters.alpha*1); 
g(3900) = g(3900) - (1.0*1); 
g(3900) = g(3900) - ((-1.0*ModelParameters.alpha)*1); 
g(3748) = g(3748) + 1; 
g(3901) = g(3901) - 1; 
g(3595) = g(3595) - 1; 
g(3799) = g(3799) - (-1.0*1); 
g(3902) = g(3902) + 1; 
g(3596) = g(3596) - (ModelParameters.sigmal*1); 
g(3443) = g(3443) - ((ModelParameters.gamma*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1); 
g(842) = g(842) - (-1.0*((ModelParameters.lambda*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1)); 
g(3954) = g(3954) + 1; 
g(3954) = g(3954) - (-1.0*1); 
g(1353) = g(1353) - 1; 
g(3597) = g(3597) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*1); 
g(3597) = g(3597) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(3954) = g(3954) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(3954) = g(3954) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(3597) = g(3597) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*1); 
g(3597) = g(3597) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(3954) = g(3954) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(3954) = g(3954) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
h(6555) = h(6555) - 1; 
g(4006) = g(4006) + 1; 
g(2629) = g(2629) - 1; 
g(3394) = g(3394) - (-1.0*1); 
g(4058) = g(4058) + 1; 
g(2630) = g(2630) - 1; 
g(29) = g(29) - (-1.0*1); 
g(4110) = g(4110) + 1; 
g(3396) = g(3396) - 1; 
g(795) = g(795) - (-1.0*1); 
g(4162) = g(4162) + 1; 
g(2683) = g(2683) - 1; 
g(82) = g(82) - (-1.0*1); 
g(4214) = g(4214) + 1; 
g(2735) = g(2735) - 1; 
g(134) = g(134) - (-1.0*1); 
g(4266) = g(4266) + 1; 
g(3246) = g(3246) - 1; 
g(645) = g(645) - (-1.0*1); 
g(4318) = g(4318) + 1; 
g(3349) = g(3349) - 1; 
g(748) = g(748) - (-1.0*1); 
g(4370) = g(4370) + 1; 
g(1769) = g(1769) - (ModelParameters.rhog*1); 
g(4880) = g(4880) - (ModelParameters.sigmag*1); 
g(5033) = g(5033) - ((ModelParameters.rhoga*ModelParameters.sigmaa)*1); 
g(4422) = g(4422) + 1; 
g(1821) = g(1821) - (ModelParameters.rhob*1); 
g(4932) = g(4932) - (ModelParameters.sigmab*1); 
g(4474) = g(4474) + 1; 
g(1873) = g(1873) - (ModelParameters.rhoi*1); 
g(4984) = g(4984) - (ModelParameters.sigmai*1); 
g(4526) = g(4526) + 1; 
g(1925) = g(1925) - (ModelParameters.rhoa*1); 
g(5036) = g(5036) - (ModelParameters.sigmaa*1); 
g(4578) = g(4578) + 1; 
g(1977) = g(1977) - (ModelParameters.rhop*1); 
g(4629) = g(4629) - 1; 
g(2028) = g(2028) - (-1.0*(ModelParameters.mup*1)); 
g(4630) = g(4630) + 1; 
g(5089) = g(5089) - (ModelParameters.sigmap*1); 
g(4682) = g(4682) + 1; 
g(2081) = g(2081) - (ModelParameters.rhow*1); 
g(4733) = g(4733) - 1; 
g(2132) = g(2132) - (-1.0*(ModelParameters.muw*1)); 
g(4734) = g(4734) + 1; 
g(5142) = g(5142) - (ModelParameters.sigmaw*1); 
g(4786) = g(4786) + 1; 
g(2185) = g(2185) - (ModelParameters.rhor*1); 
g(5194) = g(5194) - (ModelParameters.sigmar*1); 
g(4838) = g(4838) + 1; 
g(2237) = g(2237) - (0.0*1); 
g(4890) = g(4890) + 1; 
g(4839) = g(4839) - (0.0*1); 
g(4942) = g(4942) + 1; 
g(4840) = g(4840) - (0.0*1); 
g(4994) = g(4994) + 1; 
g(4841) = g(4841) - (0.0*1); 
g(5046) = g(5046) + 1; 
g(4842) = g(4842) - (0.0*1); 
g(5098) = g(5098) + 1; 
g(4843) = g(4843) - (0.0*1); 
g(5150) = g(5150) + 1; 
g(4844) = g(4844) - (0.0*1); 
g(5202) = g(5202) + 1; 
g(4845) = g(4845) - (0.0*1); 

%
% end of compute_aim_matrices.m
%
