function [g,h] = compute_aim_matrices(ModelParameters)

% [g,h] = compute_aim_matrices(ModelParameters) 
%     This function computes the g and h matrices from the parameter values in the fields of "ModelParameters".. 
%
% This file was created by YADA on: 10-Aug-2016 14:07:46 
%

g = zeros(56, 112); 
h = zeros(56, 168); 
g(3137) = g(3137) + 1; 
g(3193) = g(3193) - (ModelParameters.cy*1); 
g(3249) = g(3249) - (ModelParameters.iy*1); 
g(3305) = g(3305) - (ModelParameters.zy*1); 
g(5209) = g(5209) - 1; 
g(3194) = g(3194) + 1; 
g(58) = g(58) - (((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
g(3362) = g(3362) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(3362) = g(3362) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(3418) = g(3418) - (-1.0*((1.0*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(3418) = g(3418) - (-1.0*(((-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(5266) = g(5266) - 1; 
h(6330) = h(6330) - ((1.0*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
h(6498) = h(6498) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
h(6498) = h(6498) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
h(6610) = h(6610) - (-1.0*((1.0*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1))); 
h(6610) = h(6610) - (-1.0*(((-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1))); 
g(3251) = g(3251) + 1; 
g(115) = g(115) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3531) = g(3531) - ((1.0*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*(ModelParameters.gamma^2.0))*ModelParameters.varphi)^-1.0))*1); 
g(5323) = g(5323) - 1; 
h(6387) = h(6387) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3420) = g(3420) + (-1.0*1); 
g(3532) = g(3532) - (ModelParameters.zetaspb*1); 
g(3756) = g(3756) - (ModelParameters.zetaspb*1); 
g(3812) = g(3812) - (ModelParameters.zetaspb*(-1.0*1)); 
g(5268) = g(5268) - (-1.0*(((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(5268) = g(5268) - (-1.0*(((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(5716) = g(5716) - 1; 
h(6724) = h(6724) + 1; 
g(3589) = g(3589) + 1; 
g(3477) = g(3477) + (-1.0*1); 
g(3645) = g(3645) - ((ModelParameters.rkstar*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
g(3533) = g(3533) - ((1.0*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
g(3533) = g(3533) - (((-1.0*ModelParameters.delta)*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
g(397) = g(397) - (-1.0*1); 
g(3814) = g(3814) + 1; 
g(3590) = g(3590) - (ModelParameters.zetane*1); 
g(3478) = g(3478) - (ModelParameters.zetane*(-1.0*1)); 
g(3422) = g(3422) - (-1.0*(ModelParameters.zetanr*1)); 
g(3478) = g(3478) - (-1.0*(ModelParameters.zetanr*(-1.0*1))); 
g(398) = g(398) - (ModelParameters.zetanq*1); 
g(622) = g(622) - (ModelParameters.zetanq*1); 
g(678) = g(678) - (ModelParameters.zetann*1); 
g(2582) = g(2582) - (-1.0*((ModelParameters.zetansigma*(ModelParameters.zetaspsigma^-1.0))*1)); 
g(3143) = g(3143) + 1; 
g(3703) = g(3703) - ((ModelParameters.phip*ModelParameters.alpha)*1); 
g(3367) = g(3367) - ((ModelParameters.phip*1.0)*1); 
g(3367) = g(3367) - ((ModelParameters.phip*(-1.0*ModelParameters.alpha))*1); 
g(5383) = g(5383) - (ModelParameters.phip*1); 
g(3704) = g(3704) + 1; 
g(624) = g(624) - 1; 
g(3312) = g(3312) - 1; 
g(3313) = g(3313) + 1; 
g(3649) = g(3649) - ((1.0*(ModelParameters.psi^-1.0))*1); 
g(3649) = g(3649) - (((-1.0*ModelParameters.psi)*(ModelParameters.psi^-1.0))*1); 
g(3762) = g(3762) + 1; 
g(626) = g(626) - ((1.0*(ModelParameters.gamma^-1.0))*1); 
g(626) = g(626) - (((-1.0*ModelParameters.delta)*(ModelParameters.gamma^-1.0))*1); 
g(3258) = g(3258) - ((ModelParameters.gamma*(ModelParameters.gamma^-1.0))*1); 
g(3258) = g(3258) - ((ModelParameters.delta*(ModelParameters.gamma^-1.0))*1); 
g(3258) = g(3258) - (((-1.0*1.0)*(ModelParameters.gamma^-1.0))*1); 
g(5330) = g(5330) - ((((ModelParameters.gamma*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5330) = g(5330) - ((((ModelParameters.delta*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5330) = g(5330) - ((((ModelParameters.gamma*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5330) = g(5330) - ((((ModelParameters.delta*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5330) = g(5330) - (((((-1.0*1.0)*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5330) = g(5330) - (((((-1.0*1.0)*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(3875) = g(3875) + 1; 
g(3651) = g(3651) - (ModelParameters.alpha*1); 
g(3931) = g(3931) - (1.0*1); 
g(3931) = g(3931) - ((-1.0*ModelParameters.alpha)*1); 
g(5387) = g(5387) - (-1.0*1); 
g(3484) = g(3484) + 1; 
g(348) = g(348) - ((ModelParameters.imathp*((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))^-1.0))*1); 
g(3876) = g(3876) - (((1.0*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(3876) = g(3876) - (((1.0*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(3876) = g(3876) - ((((-1.0*ModelParameters.xip)*1.0)*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(3876) = g(3876) - ((((-1.0*ModelParameters.xip)*(-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xip)))*((((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))*ModelParameters.xip)*(((ModelParameters.phip+(-1.0*1.0))*ModelParameters.epsilonp)+1.0))^-1.0))*1); 
g(5444) = g(5444) - 1; 
h(6620) = h(6620) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathp))^-1.0))*1); 
g(3653) = g(3653) + 1; 
g(3933) = g(3933) - 1; 
g(3373) = g(3373) - 1; 
g(3709) = g(3709) - (-1.0*1); 
g(3990) = g(3990) + 1; 
g(3934) = g(3934) - 1; 
g(3374) = g(3374) - (-1.0*(ModelParameters.sigmal*1)); 
g(3206) = g(3206) - (-1.0*((ModelParameters.gamma*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1)); 
g(70) = g(70) - ((ModelParameters.lambda*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1); 
g(3935) = g(3935) + 1; 
g(799) = g(799) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3487) = g(3487) - (-1.0*((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1)); 
g(3487) = g(3487) - (-1.0*((((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.imathw)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1)); 
g(351) = g(351) - ((ModelParameters.imathw*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3991) = g(3991) - (-1.0*(((1.0*1.0)*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(3991) = g(3991) - (-1.0*(((1.0*(-1.0*ModelParameters.xiw))*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(3991) = g(3991) - (-1.0*((((-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw))*1.0)*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(3991) = g(3991) - (-1.0*((((-1.0*((ModelParameters.betabar*ModelParameters.gamma)*ModelParameters.xiw))*(-1.0*ModelParameters.xiw))*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.xiw)*(((ModelParameters.phiw+(-1.0*1.0))*ModelParameters.epsilonw)+1.0))^-1.0))*1)); 
g(5559) = g(5559) - 1; 
h(7071) = h(7071) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
h(6623) = h(6623) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(3432) = g(3432) + 1; 
g(296) = g(296) - (ModelParameters.rho*1); 
g(3488) = g(3488) - ((1.0*ModelParameters.rpi)*1); 
g(3488) = g(3488) - (((-1.0*ModelParameters.rho)*ModelParameters.rpi)*1); 
g(4776) = g(4776) - ((1.0*ModelParameters.ry)*1); 
g(4776) = g(4776) - (((-1.0*ModelParameters.rho)*ModelParameters.ry)*1); 
g(4832) = g(4832) - (ModelParameters.rdy*1); 
g(4888) = g(4888) - (ModelParameters.rdy*(-1.0*1)); 
g(5672) = g(5672) - 1; 
g(4049) = g(4049) + 1; 
g(4049) = g(4049) - (ModelParameters.beta*(-1.0*1)); 
g(913) = g(913) - 1; 
g(3377) = g(3377) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*1); 
g(3377) = g(3377) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(4049) = g(4049) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4049) = g(4049) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(3377) = g(3377) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*1); 
g(3377) = g(3377) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(4049) = g(4049) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4049) = g(4049) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
h(7185) = h(7185) - (ModelParameters.beta*1); 
g(4106) = g(4106) + 1; 
g(4162) = g(4162) - (ModelParameters.cy*1); 
g(4218) = g(4218) - (ModelParameters.iy*1); 
g(4274) = g(4274) - (ModelParameters.zy*1); 
g(5226) = g(5226) - 1; 
g(4163) = g(4163) + 1; 
g(1027) = g(1027) - (((ModelParameters.lambda*(ModelParameters.gamma^-1.0))*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
g(4331) = g(4331) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(4331) = g(4331) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(4387) = g(4387) - (-1.0*((1.0*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(4387) = g(4387) - (-1.0*(((-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1)); 
g(5283) = g(5283) - 1; 
h(7299) = h(7299) - ((1.0*((1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))^-1.0))*1); 
h(7467) = h(7467) - (((ModelParameters.sigmac*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
h(7467) = h(7467) - ((((-1.0*1.0)*ModelParameters.whlcstar)*((ModelParameters.sigmac*(1.0+(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*(-1.0*1)); 
g(4220) = g(4220) + 1; 
g(1084) = g(1084) - ((1.0*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(4444) = g(4444) - ((1.0*((((1.0+(ModelParameters.betabar*ModelParameters.gamma))*(ModelParameters.gamma^2.0))*ModelParameters.varphi)^-1.0))*1); 
g(5340) = g(5340) - 1; 
h(7356) = h(7356) - (((ModelParameters.betabar*ModelParameters.gamma)*((1.0+(ModelParameters.betabar*ModelParameters.gamma))^-1.0))*1); 
g(4445) = g(4445) + 1; 
g(4389) = g(4389) - (-1.0*1); 
g(5285) = g(5285) - (((ModelParameters.sigmac*1.0)*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
g(5285) = g(5285) - (((ModelParameters.sigmac*(ModelParameters.lambda*(ModelParameters.gamma^-1.0)))*((1.0+(-1.0*(ModelParameters.lambda*(ModelParameters.gamma^-1.0))))^-1.0))*1); 
h(7581) = h(7581) - ((1.0*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(7581) = h(7581) - (((-1.0*ModelParameters.delta)*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
h(7637) = h(7637) - ((ModelParameters.rkstar*(((ModelParameters.rkstar+1.0)+(-1.0*ModelParameters.delta))^-1.0))*1); 
g(4110) = g(4110) + 1; 
g(4558) = g(4558) - ((ModelParameters.phip*ModelParameters.alpha)*1); 
g(4334) = g(4334) - ((ModelParameters.phip*1.0)*1); 
g(4334) = g(4334) - ((ModelParameters.phip*(-1.0*ModelParameters.alpha))*1); 
g(5398) = g(5398) - (ModelParameters.phip*1); 
g(4559) = g(4559) + 1; 
g(1479) = g(1479) - 1; 
g(4279) = g(4279) - 1; 
g(4280) = g(4280) + 1; 
g(4504) = g(4504) - ((1.0*(ModelParameters.psi^-1.0))*1); 
g(4504) = g(4504) - (((-1.0*ModelParameters.psi)*(ModelParameters.psi^-1.0))*1); 
g(4617) = g(4617) + 1; 
g(1481) = g(1481) - ((1.0*(ModelParameters.gamma^-1.0))*1); 
g(1481) = g(1481) - (((-1.0*ModelParameters.delta)*(ModelParameters.gamma^-1.0))*1); 
g(4225) = g(4225) - ((ModelParameters.gamma*(ModelParameters.gamma^-1.0))*1); 
g(4225) = g(4225) - ((ModelParameters.delta*(ModelParameters.gamma^-1.0))*1); 
g(4225) = g(4225) - (((-1.0*1.0)*(ModelParameters.gamma^-1.0))*1); 
g(5345) = g(5345) - ((((ModelParameters.gamma*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5345) = g(5345) - ((((ModelParameters.delta*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5345) = g(5345) - ((((ModelParameters.gamma*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5345) = g(5345) - ((((ModelParameters.delta*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5345) = g(5345) - (((((-1.0*1.0)*1.0)*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5345) = g(5345) - (((((-1.0*1.0)*(ModelParameters.betabar*ModelParameters.gamma))*ModelParameters.gamma)*ModelParameters.varphi)*1); 
g(5402) = g(5402) + 1; 
g(4506) = g(4506) - (ModelParameters.alpha*1); 
g(4674) = g(4674) - (1.0*1); 
g(4674) = g(4674) - ((-1.0*ModelParameters.alpha)*1); 
g(4507) = g(4507) + 1; 
g(4675) = g(4675) - 1; 
g(4339) = g(4339) - 1; 
g(4563) = g(4563) - (-1.0*1); 
g(4676) = g(4676) + 1; 
g(4340) = g(4340) - (ModelParameters.sigmal*1); 
g(4172) = g(4172) - ((ModelParameters.gamma*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1); 
g(1036) = g(1036) - (-1.0*((ModelParameters.lambda*((ModelParameters.gamma+(-1.0*ModelParameters.lambda))^-1.0))*1)); 
g(4733) = g(4733) + 1; 
g(4733) = g(4733) - (ModelParameters.beta*(-1.0*1)); 
g(1597) = g(1597) - 1; 
g(4341) = g(4341) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*1); 
g(4341) = g(4341) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(4733) = g(4733) - (((1.0*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4733) = g(4733) - (((1.0*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4341) = g(4341) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*1); 
g(4341) = g(4341) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*1); 
g(4733) = g(4733) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*1.0)*(ModelParameters.xie^-1.0))*(-1.0*1)); 
g(4733) = g(4733) - ((((-1.0*(ModelParameters.beta*ModelParameters.xie))*(-1.0*ModelParameters.xie))*(ModelParameters.xie^-1.0))*(-1.0*1)); 
h(7869) = h(7869) - (ModelParameters.beta*1); 
g(4790) = g(4790) + 1; 
g(3166) = g(3166) - 1; 
g(4118) = g(4118) - (-1.0*1); 
g(4847) = g(4847) + 1; 
g(3167) = g(3167) - 1; 
g(31) = g(31) - (-1.0*1); 
g(4904) = g(4904) + 1; 
g(4120) = g(4120) - 1; 
g(984) = g(984) - (-1.0*1); 
g(4961) = g(4961) + 1; 
g(3225) = g(3225) - 1; 
g(89) = g(89) - (-1.0*1); 
g(5018) = g(5018) + 1; 
g(3282) = g(3282) - 1; 
g(146) = g(146) - (-1.0*1); 
g(5075) = g(5075) + 1; 
g(3955) = g(3955) - 1; 
g(819) = g(819) - (-1.0*1); 
g(5132) = g(5132) + 1; 
g(4068) = g(4068) - 1; 
g(932) = g(932) - (-1.0*1); 
g(5189) = g(5189) + 1; 
h(6757) = h(6757) - 1; 
g(5246) = g(5246) + 1; 
g(2110) = g(2110) - (ModelParameters.rhog*1); 
g(5862) = g(5862) - (ModelParameters.sigmag*1); 
g(6030) = g(6030) - ((ModelParameters.rhoga*ModelParameters.sigmaa)*1); 
g(5303) = g(5303) + 1; 
g(2167) = g(2167) - (ModelParameters.rhob*1); 
g(5919) = g(5919) - (ModelParameters.sigmab*1); 
g(5360) = g(5360) + 1; 
g(2224) = g(2224) - (ModelParameters.rhoi*1); 
g(5976) = g(5976) - (ModelParameters.sigmai*1); 
g(5417) = g(5417) + 1; 
g(2281) = g(2281) - (ModelParameters.rhoa*1); 
g(6033) = g(6033) - (ModelParameters.sigmaa*1); 
g(5474) = g(5474) + 1; 
g(2338) = g(2338) - (ModelParameters.rhop*1); 
g(5530) = g(5530) - 1; 
g(2394) = g(2394) - (-1.0*(ModelParameters.mup*1)); 
g(5531) = g(5531) + 1; 
g(6091) = g(6091) - (ModelParameters.sigmap*1); 
g(5588) = g(5588) + 1; 
g(2452) = g(2452) - (ModelParameters.rhow*1); 
g(5644) = g(5644) - 1; 
g(2508) = g(2508) - (-1.0*(ModelParameters.muw*1)); 
g(5645) = g(5645) + 1; 
g(6149) = g(6149) - (ModelParameters.sigmaw*1); 
g(5702) = g(5702) + 1; 
g(2566) = g(2566) - (ModelParameters.rhor*1); 
g(6206) = g(6206) - (ModelParameters.sigmar*1); 
g(5759) = g(5759) + 1; 
g(2623) = g(2623) - (ModelParameters.rhoe*1); 
g(6263) = g(6263) - (ModelParameters.sigmae*1); 
g(5816) = g(5816) + 1; 
g(2680) = g(2680) - (0.0*1); 
g(5873) = g(5873) + 1; 
g(5817) = g(5817) - (0.0*1); 
g(5930) = g(5930) + 1; 
g(5818) = g(5818) - (0.0*1); 
g(5987) = g(5987) + 1; 
g(5819) = g(5819) - (0.0*1); 
g(6044) = g(6044) + 1; 
g(5820) = g(5820) - (0.0*1); 
g(6101) = g(6101) + 1; 
g(5821) = g(5821) - (0.0*1); 
g(6158) = g(6158) + 1; 
g(5822) = g(5822) - (0.0*1); 
g(6215) = g(6215) + 1; 
g(5823) = g(5823) - (0.0*1); 
g(6272) = g(6272) + 1; 
g(5824) = g(5824) - (0.0*1); 

%
% end of compute_aim_matrices.m
%
